summaryrefslogtreecommitdiffstats
path: root/desktop/zenity
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-12 23:28:33 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:33 +0200
commiteac0622be2ba4bf007c1f4eef88c1a0d51cb10f6 (patch)
treecfd5f273df857b5b6abf06cf4c8b66ad71d05028 /desktop/zenity
parent73e36e2c47a7e2cd0c869c06e77d87d7f33cff99 (diff)
downloadslackbuilds-eac0622be2ba4bf007c1f4eef88c1a0d51cb10f6.tar.gz
slackbuilds-eac0622be2ba4bf007c1f4eef88c1a0d51cb10f6.tar.xz
desktop/zenity: Added to 12.2 repository
Diffstat (limited to 'desktop/zenity')
-rw-r--r--desktop/zenity/README5
-rw-r--r--desktop/zenity/slack-desc19
-rw-r--r--desktop/zenity/zenity.SlackBuild68
-rw-r--r--desktop/zenity/zenity.info8
4 files changed, 100 insertions, 0 deletions
diff --git a/desktop/zenity/README b/desktop/zenity/README
new file mode 100644
index 0000000000..6ba8429e6d
--- /dev/null
+++ b/desktop/zenity/README
@@ -0,0 +1,5 @@
+Zenity is a tool that allows you to display Gtk+ dialog boxes from
+the command line and through shell scripts. It is similar to
+gdialog, but is intended to be saner.
+
+This requires libgnomecanvas, gnome-doc-utils, and libnotify.
diff --git a/desktop/zenity/slack-desc b/desktop/zenity/slack-desc
new file mode 100644
index 0000000000..e1db3161a0
--- /dev/null
+++ b/desktop/zenity/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+zenity: zenity
+zenity:
+zenity: Zenity is a tool that allows you to display Gtk+ dialog boxes from
+zenity: the command line and through shell scripts. It is similar to
+zenity: gdialog, but is intended to be saner.
+zenity:
+zenity: Homepage: http://live.gnome.org/Zenity
+zenity:
+zenity:
+zenity:
+zenity:
diff --git a/desktop/zenity/zenity.SlackBuild b/desktop/zenity/zenity.SlackBuild
new file mode 100644
index 0000000000..d4b4d695f7
--- /dev/null
+++ b/desktop/zenity/zenity.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+# Slackware build script for zenity
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=zenity
+VERSION=${VERSION:-2.24.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-debug=no \
+ --enable-libnotify \
+ --disable-scrollkeeper \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING HACKING NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/zenity/zenity.info b/desktop/zenity/zenity.info
new file mode 100644
index 0000000000..18dd0c0316
--- /dev/null
+++ b/desktop/zenity/zenity.info
@@ -0,0 +1,8 @@
+PRGNAM="zenity"
+VERSION="2.24.1"
+HOMEPAGE="http://live.gnome.org/Zenity"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/zenity/2.24/zenity-2.24.1.tar.bz2"
+MD5SUM="a7ade5ff47716f4328d5e0547596dfb6"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"